## videomaxrate videomaxrate — Drops extra frames |

## Synopsis

    struct              GstVideoMaxRate;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstVideoMaxRate

## Properties

      "average-period"           guint64               : Read / Write

## Description

This object will drop buffers that go beyond a certain buffer rate (ie frame rate). It should work with any kind of data where each buffer is independent. This currently means raw video frames and still image formats.

The framerate is computed using a moving average. The period over which this average is computed is configurable using the "average-period" property.

## Synopsis

### Element Information

plugin | videomaxrate
author | Justin Karneges <justin@affinix.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-yuv
| video/x-raw-rgb
| video/x-raw-gray
| image/jpeg
| image/png

name | src
direction | source
presence | always
details | video/x-raw-yuv
| video/x-raw-rgb
| video/x-raw-gray
| image/jpeg
| image/png

## Details

### struct GstVideoMaxRate

    struct GstVideoMaxRate;

## Property Details

### The `"average-period"` property

      "average-period"           guint64               : Read / Write

Period over which to average the framerate (in ns).

Allowed values: [1,G_MAXLONG]

Default value: 1000000000

## See Also

videorate